## org.ascape.model.space
Class CollectionSpace.ListRandomIterator

    java.lang.Object
      org.ascape.model.space.CollectionSpace.CSIterator
          org.ascape.model.space.CollectionSpace.ListRandomIterator

All Implemented Interfaces:
  java.io.Serializable, java.util.Iterator, RandomIterator, Randomizable, ResetableIterator

Enclosing class:
  CollectionSpace

    protected class CollectionSpace.ListRandomIterator

extends CollectionSpace.CSIterator
implements RandomIterator

The Class ListRandomIterator.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.space.CollectionSpace.CSIterator
`copy, copyIterator`

Constructor Summary
`CollectionSpace.ListRandomIterator()` Instantiates a new list random iterator.

Method Summary
`void` `randomize()`

Methods inherited from class org.ascape.model.space.CollectionSpace.CSIterator
`first, hasNext, next, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ascape.util.ResetableIterator
`first`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Constructor Detail

### CollectionSpace.ListRandomIterator

    public CollectionSpace.ListRandomIterator()

  Instantiates a new list random iterator.

Method Detail

### randomize

    public void randomize()

  Specified by:
    `randomize` in interface `Randomizable`